org.springframework.validation.beanvalidation

## Class MessageSourceResourceBundleLocator

- java.lang.Object
- - org.springframework.validation.beanvalidation.MessageSourceResourceBundleLocator

All Implemented Interfaces:
  org.hibernate.validator.spi.resourceloading.ResourceBundleLocator

    public class MessageSourceResourceBundleLocator
    extends Object
    implements ResourceBundleLocator

Implementation of Hibernate Validator 4.1's `ResourceBundleLocator` interface, exposing a Spring `MessageSource` as localized `MessageSourceResourceBundle`.

Since:
  3.0.4
Author:
  Juergen Hoeller
See Also:
  `ResourceBundleLocator`, `MessageSource`, `MessageSourceResourceBundle`

### Constructor Summary

Constructors
Constructor and Description
`MessageSourceResourceBundleLocator(MessageSource messageSource)` Build a MessageSourceResourceBundleLocator for the given MessageSource.

### Method Summary

Methods
`ResourceBundle` `getResourceBundle(Locale locale)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MessageSourceResourceBundleLocator

    public MessageSourceResourceBundleLocator(MessageSource messageSource)

Build a MessageSourceResourceBundleLocator for the given MessageSource.

Parameters:
  `messageSource` - the Spring MessageSource to wrap

### Method Detail

#### getResourceBundle

    public ResourceBundle getResourceBundle(Locale locale)

Specified by:
  `getResourceBundle` in interface `org.hibernate.validator.spi.resourceloading.ResourceBundleLocator`